For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETGetrequirement
      • POSTSubmitanswers
    • API Errors
Get access
LogoLogo
API ReferenceRequirements

Submitanswers

POST
/public/requirements/:requirement_id
POST
/public/requirements/:requirement_id
$curl -X POST https://test.api.kota.io/public/requirements/requirement_id \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "answers": {}
>}'
1{
2 "status": "fulfilled"
3}
Submit answers for a requirement and mark it as fulfilled.
Previous

Getrequirement

Next

List associated persons

Built with

Path parameters

requirement_idstringRequiredformat: "^ar_[0-9a-f]{32}$"
a Universally Unique Identifier

Request

This endpoint expects an object.
answersobjectRequired

Response

Success
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
500
Internal Server Error